File Index

Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# lnx-ps2.c File Reference

`#include "inputstr.h"`
`#include "Xos.h"`
`#include <errno.h>`
`#include <termios.h>`
`#include "dmxinputinit.h"`
`#include "lnx-ps2.h"`

## Data Structures
struct | _myPrivate
## Functions
void | ps2LinuxRead (DevicePtr pDev, MOTIONPROC motion, ENQUEUEPROC enqueue, CHECKPROC checkspecial, BLOCK block)
void | ps2LinuxInit (DevicePtr pDev)
int | ps2LinuxOn (DevicePtr pDev)
void | ps2LinuxOff (DevicePtr pDev)
void | ps2LinuxVTPreSwitch (pointer p)
void | ps2LinuxVTPostSwitch (pointer p)
pointer | ps2LinuxCreatePrivate (DeviceIntPtr pMouse)
void | ps2LinuxDestroyPrivate (pointer priv)
void | ps2LinuxGetInfo (DevicePtr pDev, DMXLocalInitInfoPtr info)

## Detailed Description

This code implements a low-level device driver for a serial MS mouse. The code is derived from code by Keith Packard (see the source code for complete references).

## Function Documentation

pointer ps2LinuxCreatePrivate | ( | DeviceIntPtr | pMouse | ) |

| Create a private structure for use within this file.

void ps2LinuxDestroyPrivate | ( | pointer | priv | ) |

| Destroy a private structure.

void ps2LinuxGetInfo | ( | DevicePtr | pDev,
|  | DMXLocalInitInfoPtr | info
| ) |

| Fill the info structure with information needed to initialize pDev.

void ps2LinuxInit | ( | DevicePtr | pDev | ) |

| Initialize pDev.

void ps2LinuxOff | ( | DevicePtr | pDev | ) |

| Turn pDev off (i.e., stop taking input from pDev).

int ps2LinuxOn | ( | DevicePtr | pDev | ) |

| Turn pDev on (i.e., take input from pDev).

void ps2LinuxRead | ( | DevicePtr | pDev,
|  | MOTIONPROC | motion,
|  | ENQUEUEPROC | enqueue,
|  | CHECKPROC | checkspecial,
|  | BLOCK | block
| ) |

| Read an event from the pDev device. If the event is a motion event, enqueue it with the motion function. Otherwise, check for special keys with the checkspecial function and enqueue the event with the enqueue function. The block type is passed to the functions so that they may block SIGIO handling as appropriate to the caller of this function.

void ps2LinuxVTPostSwitch | ( | pointer | p | ) |

| Currently unused hook called after returning from a VT switch.

void ps2LinuxVTPreSwitch | ( | pointer | p | ) |

| Currently unused hook called prior to an VT switch.